# Legacy Chat Fix

This is a simple plugin that aims to fix some of the issues with the legacy chat system in Minecraft. It is designed to be as lightweight as possible, and only fix the issues that are present in the legacy chat system. 

Specifically, this plugin fixes the issue that EssentialsX Signs (sell signs in particular) would not be formatted correctly, leaving behind legacy formatting tags in the readable chat.
This plugin listens to system chat, looks for legacy chat formatting codes, and replaces them with the appropriate modern formatting codes, while cleaning up the chat message.

## TODO:
 - [ ] Add config file to allow specifying other formatting codes to replace.
 - [ ] Add support for applying the fix to chat messages sent by players and more. 